* {
  margin: 0;
  padding: 0;
}
html {
  background-color: #ccffff;
}
body {
  font-family: "Libre Franklin", sans-serif;
  font-size: 100%;
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
  background-color: white;
  border: 1px solid blue;
}
header {
  font-family: "Lobster", cursive;
  letter-spacing: 2px;
  margin-bottom: 2px;
  text-align: center;
  background-color: rgba(170,221,238,50%);
  border: 5px ridge #00ffff;
}
header h1, header p {
  font-size: 200%;
  color: blue;
  text-shadow: 3px 3px 1px #444444;
}
header h1 {
  margin-left: 1em;
  margin-top: 1em;
}
header p {
  font-weight: bold;
  margin: 0 30% .75em 30%;
}
main {
  margin-top: 1em;
  margin-left: 1em;
}
main h1, main h2 {
  margin-bottom: .5em;
}
main h1 {
  font-size: 150%;
}  
main h2 { font-size: 120%; }
main p {
  margin-right: 3em;
  margin-bottom: 1em;
  line-height: 1.5em;
}
figure, figcaption {
  margin: 0;
  padding: 0;
}
figcaption {
  display: block;
  font-weight: bold;
  text-align: center;
  font-size: 130%;
  padding-bottom: .5em;
}
table {
  border: 2px solid black;
  border-collapse: collapse;
}
th, td {
  border: 1px solid black;
  padding: 5px;
}
th {
  text-align: left;
}
td {
  width: 20em;
}
td.detail_button {
  width: 10em;
}
table.no_border {
  border: none;
}
table.no_border th, table.no_border td {
  border: none;
  padding: 5px;
}
table.no_border td {
  width: 10em;
}
table.left {
  margin-left: 5px;
}
footer {
  margin-top: 1em;
  padding: .5em 0;
  text-align: center;
  padding: .5em 0;
  border: 5px ridge #00ffff;
  background-color: rgba(170,221,238,50%);
}
footer p {
  font-size: 80%;
  text-align: center;
}
section.detail {
  width: 35%;
  border: 3px solid blue;
  padding: 5px 0 5px 5px;
  margin: 0 auto;
}
section.detail p {
  margin-bottom: .25em;
}
p.last_link {
  margin-bottom: .5em;
}
main a {
  display: inline-block;
  margin-bottom: .25em;
  color: blue;
}  
.bold { font-weight: bold; }
.italic { font-style: italic; }
.red { color: red; }
.green { color: green; }
.blue { color: blue; }
.center { text-align: center; }
.large_font { font-size: 120%; }
.space { margin-bottom: .25em; }
.light_gray { color: rgb(192,192,192); }

#mobile_menu {
  display: none;
}
#nav_menu {
  margin: 0;
  padding: 0;
  background-color: #8888ff;
}
/* The styles for the 3-tier navigation menu. */
#nav_menu ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  position: relative;
}
#nav_menu ul li.lastitem {
  border-right: 2px solid black;
}
#nav_menu ul li {
  float: left;
  width: 10%;
  border-left: 2px solid black;
}
#nav_menu ul li a {
  display: block;
  text-align: center;
  padding: .5em .5em;
  text-decoration: none;
  background-color: #8888ff;
  color: #eeeeee;
}
#nav_menu ul ul {
  display: none;
  position: absolute;
  top: 100%;
}
#nav_menu ul ul li {
  float: none;
  position: relative;
  left: 25%;
  width: 125%;
}
#nav_menu ul ul li ul {
  width: 125%;
  position: absolute;
  left: 100%;
  top: 0;
}
#nav_menu ul li.lastitem ul li ul {
  left: -100%;
}
#nav_menu ul li:hover > ul {
  display: block;
}
#nav_menu > ul::after {
  content: "";
  display: block;
  clear: both;
}
#nav_menu ul li a:hover {
  background-color: #9999ff;
  color: white;
}
#nav_menu ul li a:focus {
  color: white;
}

/* Media query - mobile landscape to tablet portrait. */
@media only screen and (max-width: 767px) {
  #nav_menu { display: none; }
  #mobile_menu { display: block; }
  .slicknav_menu { background-color: #8888ff !important; }
  body {
    width: 100%;
    margin: 0;
    border: none;
  }
  header, footer, footer p { text-align: center; }
  p { text-align: justify; }
}
/* Media query - mobile portrait to mobile landscape. */
@media only screen and (max-width: 479px) {
  main { margin-left: .25em; }
  main p { margin-right: 0; }
  header h1, header p {
    margin: 0 auto;
    padding: 0;
/*    padding-top: .5em; */
    text-align: center;
    background-color: white;
    border: none;
    text-shadow: none;
    letter-spacing: normal;
  }
  header h1 { margin-top: 5px; }
  section.detail {
    margin: 0;
  }
  h1 { font-size: 130%; }
  h2 { font-size: 110%; }
  p { font-size: 90%; }
  section.detail {
    width: auto;
    border: 2px solid blue;
    padding: 0;
    margin: 0 auto;
  }
  tr th { display: none; }
  tr td.detail_button { border: none; }
}
